### Method

# Gtk TextBufferremove_all_tags

#### Declaration [src]

    void
    gtk_text_buffer_remove_all_tags (
      GtkTextBuffer* buffer,
      const GtkTextIter* start,
      const GtkTextIter* end
    )

#### Description [src]

Removes all tags in the range between `start` and `end`.

Be careful with this function; it could remove tags added in code unrelated to the code you’re currently writing. That is, using this function is probably a bad idea if you have two or more unrelated code sections that add tags.

#### Parameters

`start`

  Type: `GtkTextIter`

  One bound of range to be untagged.

  The data is owned by the caller of the method.

`end`

  Type: `GtkTextIter`

  Other bound of range to be untagged.

  The data is owned by the caller of the method.